petsc-3.7.1 2016-05-15
Report Typos and Errors

# MATSEQAIJCUSP

MATAIJCUSP = "aijcusp" = "seqaijcusp" - A matrix type to be used for sparse matrices. A matrix type type whose data resides on Nvidia GPUs. These matrices are in CSR format by Many brdefault. All matrix calculations are performed using the CUSP library. DIA and ELL formats are Many bralso available. Many br

### Options Database Keys

| -mat_type aijcusp | - sets the matrix type to "seqaijcusp" during a call to MatSetFromOptions() Many br
| -mat_cusp_storage_format csr | - sets the storage format of matrices for MatMult during a call to MatSetFromOptions(). Other options include dia (diagonal) or ell (ellpack). Many br
| -mat_cusp_mult_storage_format csr | - sets the storage format of matrices for MatMult during a call to MatSetFromOptions(). Other options include dia (diagonal) or ell (ellpack). Many br

Many br

### See Also

MatCreateSeqAIJCUSP(), MATAIJCUSP, MatCreateAIJCUSP(), MatCUSPSetFormat(), MatCUSPStorageFormat, MatCUSPFormatOperation

Level:beginner
Location:src/mat/impls/aij/seq/seqcusp/aijcusp.cu
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages